<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import Search from '$lib/components/Search.svelte';
  import Button from '$lib/components/Button.svelte';
  import type { PageData } from './$types';
  import ProjectItem from '$lib/components/Items/ProjectItem.svelte';
  import { axiosInstance } from '$lib/config';
  import SchoolItem from '$lib/components/Items/SchoolItem.svelte';
  import SsaItem from '$lib/components/Items/SsaItem.svelte';

  export let data: PageData;

  let ssa = data?.ssa.data;

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/sno', { params: { ...(event.detail && { name: event.detail }) } });

    ssa = res.data.data;
  }
</script>

<svelte:head>
    <title>Научные школы</title>
</svelte:head>

<AdminLayout>
    <header class="mt-8 mr-8 flex justify-end gap-6">
        <Search on:search={handleSearch}/>
        <a href="/admin/ssa/create">
            <Button class="h-full">Создать</Button>
        </a>
    </header>
    <section class="pr-8 space-y-6">
        {#each ssa as { id, name, deletedAt }}
            {#if !deletedAt}
                <SsaItem
                    {id}
                    {name}
                />
            {/if}
        {/each}
    </section>
</AdminLayout>